Skip to main content
GET
/
live_data
/
batch
Get Multiple Live Data
curl --request GET \
  --url https://external-api.kalshi.com/trade-api/v2/live_data/batch
import requests

url = "https://external-api.kalshi.com/trade-api/v2/live_data/batch"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://external-api.kalshi.com/trade-api/v2/live_data/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "live_datas": [
    {
      "type": "<string>",
      "details": {},
      "milestone_id": "<string>"
    }
  ]
}

Query Parameters

milestone_ids
string[]
required

Array of milestone IDs

Maximum array length: 100
include_player_stats
boolean
default:false

When true, includes player-level statistics in the live data response. Supported for Pro Football, Pro Basketball, and College Men's Basketball milestones that have player ID mappings configured. Has no effect for other sports or milestones without player mappings.

Response

Live data retrieved successfully

live_datas
object[]
required